<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuremap [
  <!ELEMENT configuremap (configure)+>
  <!ATTLIST configuremap xmlns CDATA #FIXED ''>
  <!ELEMENT configure EMPTY>
  <!ATTLIST configure xmlns CDATA #FIXED '' name NMTOKEN #REQUIRED
    value CDATA #REQUIRED>
]>
<!--
  ImageMagick build configuration.
-->
<configuremap>
  <configure name="CC" value="gcc"/>
  <configure name="CFLAGS" value="-I/mingw64/include/libxml2 -I/mingw64/include/webp -I/mingw64/include/webp -DUHDR_USING_SHARED_LIBRARY -I/mingw64/include/webp -DLIBDEFLATE_DLL -I/mingw64/include/cairo -I/mingw64/include/freetype2 -I/mingw64/include/harfbuzz -I/mingw64/include/glib-2.0 -I/mingw64/lib/glib-2.0/include -I/mingw64/include/pixman-1 -I/mingw64/include/libpng16 -I/mingw64/include/librsvg-2.0 -I/mingw64/include/gdk-pixbuf-2.0 -I/mingw64/include/webp -DLIBDEFLATE_DLL -I/mingw64/include/cairo -I/mingw64/include/libxml2 -I/mingw64/include/pango-1.0 -I/mingw64/include/fribidi -I/mingw64/include/pixman-1 -I/mingw64/include/harfbuzz -I/mingw64/include/freetype2 -I/mingw64/include/libpng16 -I/mingw64/include/glib-2.0 -I/mingw64/lib/glib-2.0/include -I/mingw64/include/libraw -I/mingw64/include/libpng16 -I/mingw64/include/pango-1.0 -I/mingw64/include/cairo -I/mingw64/include/pixman-1 -I/mingw64/include/fribidi -I/mingw64/include/harfbuzz -I/mingw64/include/freetype2 -I/mingw64/include/libpng16 -I/mingw64/include/glib-2.0 -I/mingw64/lib/glib-2.0/include -I/mingw64/include/OpenEXR -pthread -I/mingw64/include/Imath -DLIBDEFLATE_DLL -D_FILE_OFFSET_BITS=64 -I/mingw64/include/lqr-1 -I/mingw64/include/glib-2.0 -I/mingw64/lib/glib-2.0/include -I/mingw64/include/openjpeg-2.5 -DHWY_SHARED_DEFINE -I/mingw64/include/rav1e -I/mingw64/include/svt-av1 -DEB_DLL -I/mingw64/include/openjpeg-2.5 -D_FILE_OFFSET_BITS=64 -I/mingw64/include/webp -I/mingw64/include/graphviz -I/mingw64/include/harfbuzz -I/mingw64/include/freetype2 -I/mingw64/include/libpng16 -I/mingw64/include/glib-2.0 -I/mingw64/lib/glib-2.0/include -I/mingw64/include/fribidi -I/mingw64/include/freetype2 -I/mingw64/include/libpng16 -I/mingw64/include/harfbuzz -I/mingw64/include/glib-2.0 -I/mingw64/lib/glib-2.0/include -I/mingw64/include/freetype2 -I/mingw64/include/libpng16 -I/mingw64/include/harfbuzz -I/mingw64/include/glib-2.0 -I/mingw64/lib/glib-2.0/include -I/mingw64/include -fopenmp -Wall -march=nocona -msahf -mtune=generic -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wp,-D__USE_MINGW_ANSI_STDIO=1 -mtune=amdfam10 -fexceptions -pthread -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -DMAGICKCORE_CHANNEL_MASK_DEPTH=32"/>
  <configure name="CHANNEL_MASK_DEPTH" value="32"/>
  <configure name="CODER_PATH" value="/mingw64/lib/ImageMagick-7.1.2/modules-Q16HDRI/coders"/>
  <configure name="CONFIGURE_PATH" value="/mingw64/etc/ImageMagick-7/"/>
  <configure name="CONFIGURE" value="../ImageMagick-7.1.2-10/configure  '--prefix=/mingw64' '--build=x86_64-w64-mingw32' '--host=x86_64-w64-mingw32' '--disable-deprecated' '--enable-legacy-support' '--enable-hdri' '--with-djvu' '--with-fftw' '--with-gslib' '--with-gvc' '--with-flif' '--with-jxl' '--with-lcms' '--with-lqr' '--with-modules' '--with-openexr' '--with-openjp2' '--with-rsvg' '--with-uhdr' '--with-webp' '--with-wmf' '--with-xml' '--without-autotrace' '--without-dps' '--without-fpx' '--with-jbig' '--without-perl' '--without-x' '--with-raqm' '--with-magick-plus-plus' '--with-windows-font-dir=c:/Windows/fonts' '--with-gs-font-dir=/mingw64/share/fonts/gsfonts' '--with-dejavu-font-dir=/mingw64/share/fonts/TTF' 'CFLAGS=-march=nocona -msahf -mtune=generic -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wp,-D__USE_MINGW_ANSI_STDIO=1' 'CPPFLAGS=' 'LDFLAGS=' 'build_alias=x86_64-w64-mingw32' 'host_alias=x86_64-w64-mingw32' 'CC=gcc' 'CXX=g++' 'CXXFLAGS=-march=nocona -msahf -mtune=generic -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wp,-D__USE_MINGW_ANSI_STDIO=1' 'PKG_CONFIG_PATH=/mingw64/lib/pkgconfig:/mingw64/share/pkgconfig'"/>
  <configure name="COPYRIGHT" value="Copyright (C) 1999 ImageMagick Studio LLC"/>
  <configure name="CPPFLAGS" value="-I/mingw64/include/ImageMagick-7 -D_DLL -D_MT"/>
  <configure name="CXXFLAGS" value="-march=nocona -msahf -mtune=generic -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wp,-D__USE_MINGW_ANSI_STDIO=1 -pthread"/>
  <configure name="CXX" value="g++"/>
  <configure name="DEFS" value="-DHAVE_CONFIG_H"/>
  <configure name="DELEGATES" value="bzlib cairo djvu fftw flif fontconfig freetype gslib heic jbig jng jp2 jpeg jxl lcms lqr lzma openexr pangocairo png ps raqm raw rsvg tiff uhdr webp wmf xml zlib zstd"/>
  <configure name="DISTCHECK_CONFIG_FLAGS" value="'CC=gcc' 'CFLAGS=-march=nocona -msahf -mtune=generic -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wp,-D__USE_MINGW_ANSI_STDIO=1' 'CPPFLAGS=' 'CXX=g++' 'LDFLAGS='  --disable-deprecated  --with-quantum-depth=16  --with-jemalloc=no  --with-umem=no  --with-autotrace=no  --with-dps=no  --with-dejavu-font-dir=/mingw64/share/fonts/TTF  --with-fpx=no  --with-fontpath=  --with-gs-font-dir=/mingw64/share/fonts/gsfonts  --with-windows-font-dir=c:/Windows/fonts  --with-perl=no "/>
  <configure name="DOCUMENTATION_PATH" value="/mingw64/share/doc/ImageMagick-7"/>
  <configure name="EXEC-PREFIX" value="/mingw64"/>
  <configure name="EXECUTABLE_PATH" value="/mingw64/bin"/>
  <configure name="FEATURES" value="Channel-masks(32-bit) Cipher DPC HDRI Modules OpenMP"/>
  <configure name="FILTER_PATH" value="/mingw64/lib/ImageMagick-7.1.2/modules-Q16HDRI/filters"/>
  <configure name="GIT_REVISION" value="23464" />
  <configure name="HOST" value="x86_64-w64-mingw32"/>
  <configure name="INCLUDE_PATH" value="/mingw64/include/ImageMagick-7"/>
  <configure name="LDFLAGS" value="-L/mingw64/lib "/>
  <configure name="LIBRARY_ABSOLUTE_PATH" value="/mingw64/lib/ImageMagick-7.1.2"/>
  <configure name="LIBS" value=" -llcms2 -llcms2_fast_float  -lfreetype -lraqm -llqr-1 -lglib-2.0 -lintl -lfftw3 -lxml2 -lflif -lfontconfig     -lbz2 -lz   -lltdl -lgdi32 -luser32 -lm    -lpthread   -lgomp"/>
  <configure name="LIB_VERSION_NUMBER" value="7,1,2,10"/>
  <configure name="LIB_VERSION" value="0x712"/>
  <configure name="NAME" value="ImageMagick"/>
  <configure name="PCFLAGS" value="-fopenmp -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -D_DLL -D_MT -DMAGICKCORE_CHANNEL_MASK_DEPTH=32"/>
  <configure name="PREFIX" value="/mingw64"/>
  <configure name="QuantumDepth" value="16"/>
  <configure name="RELEASE_DATE" value="2025-12-07"/>
  <configure name="SECURITY_POLICY" value="open"/>
  <configure name="SHAREARCH_PATH" value="/mingw64/lib/ImageMagick-7.1.2/config-Q16HDRI"/>
  <configure name="SHARE_PATH" value="/mingw64/share/ImageMagick-7"/>
  <configure name="TARGET_CPU" value="x86_64"/>
  <configure name="TARGET_OS" value="mingw32"/>
  <configure name="TARGET_VENDOR" value="w64"/>
  <configure name="VERSION" value="7.1.2"/>
  <configure name="WEBSITE" value="https://imagemagick.org"/>
</configuremap>
